Bug 772528 - [Translation Editor] Save message steal focus
[Translation Editor] Save message steal focus
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.4.3-SNAPSHOT
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Runa Bhattacharjee
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-08 23:21 EST by Ding-Yi Chen
Modified: 2013-03-03 21:22 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.4.5-SNAPSHOT (20120123-1407)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-23 00:33:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-01-08 23:21:42 EST
Description of problem:
On slow connection, it's very easy for save message to steal focus.

Version-Release number of selected component (if applicable):
Zanata version 1.4.5-SNAPSHOT (20111221-0911)

How reproducible:
Easy to reproduce on slow connection.

Steps to Reproduce:
1. Enter a newly opened translation page.
   (The bug is unlikely to show if many editing is already happen in that page).
2. On first entry, type "XXXX"
3. Quickly click to 2nd entry (keyboard shortcut does not reveal this bug), and type "YYYYYYYYYYYYYY" before "Saved change to Translation Unit" is shown
  
Actual results:
Editor in 2nd entry is forcedly closed, and the content of 2nd entry is reverted.

Expected results:
Editor in 2nd entry stay opened, and what you type does not lost.
Comment 1 Ding-Yi Chen 2012-01-23 19:54:48 EST
VERIFIED with 1.4.5-SNAPSHOT (20120123-1407)

Note You need to log in before you can comment on or make changes to this bug.